org.jbpm.services.task.impl.model

## Class FaultDataImpl

- java.lang.Object
- - org.jbpm.services.task.impl.model.ContentDataImpl
  - - org.jbpm.services.task.impl.model.FaultDataImpl

- All Implemented Interfaces:
    Externalizable, Serializable, org.kie.internal.task.api.model.ContentData, org.kie.internal.task.api.model.FaultData

      public class FaultDataImpl
      extends ContentDataImpl
      implements org.kie.internal.task.api.model.FaultData

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FaultDataImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFaultName()`
    `void` | `readExternal(ObjectInput in)`
    `void` | `setFaultName(String faultName)`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class org.jbpm.services.task.impl.model.ContentDataImpl

      `getAccessType, getContent, getContentObject, getType, setAccessType, setContent, setContentObject, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.task.api.model.ContentData

      `getAccessType, getContent, getContentObject, getType, setAccessType, setContent, setContentObject, setType`

- - ### Constructor Detail

    - #### FaultDataImpl

          public FaultDataImpl()

  - ### Method Detail

    - #### getFaultName

          public String getFaultName()

      Specified by:
        `getFaultName` in interface `org.kie.internal.task.api.model.FaultData`

    - #### setFaultName

          public void setFaultName(String faultName)

      Specified by:
        `setFaultName` in interface `org.kie.internal.task.api.model.FaultData`

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Overrides:
        `writeExternal` in class `ContentDataImpl`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Overrides:
        `readExternal` in class `ContentDataImpl`
      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.